/*#####################################*/
/*   YOO MORENO LOGOTEL - ANIMATIONS   */
/*#####################################*/

/* ============ INFO ============ *//* 
  
  # Version:  0.1;
  # Upadated: 15/09/2021;
  # Authors:
      Andrea Tondo (a.tondo@logotel.it)

*//* ============================== */


/* ====== TABLE OF CONTENTS ====== *//*
  
  + ANIMATIONS

*//* ============================== */



/* ---------------------- */
/* +++ + ANIMATIONS + +++ */
/* ---------------------- */

/* Fade in/out animations - opacity only */
@keyframes LGTfadein {
  0% { opacity: 0; }
  100% { opacity: 1; }
}
@keyframes LGTfadeout {
  0% { opacity: 1; }
  100% { opacity: 0; }
}

/* Slide in/out animations - translate only */
@keyframes LGTslidein--t {
  0% { transform: translateY(-100%); }
  100% { transform: translateY(0); }
}
@keyframes LGTslideout--t {
  0% { transform: translateY(0); }
  100% { transform: translateY(-100%); }
}
@keyframes LGTslidein--r {
  0% { transform: translateX(100%); }
  100% { transform: translateX(0); }
}
@keyframes LGTslideout--r {
  0% { transform: translateX(0); }
  100% { transform: translateX(100%); }
}
@keyframes LGTslidein--l {
  0% { transform: translateX(-100%); }
  100% { transform: translateX(0); }
}
@keyframes LGTslideout--l {
  0% { transform: translateX(0); }
  100% { transform: translateX(-100%); }
}

/* Dot Flashing (for loaders, spinners...) */
.LGTdot-flashing {
  position: relative;
  width: 6px;
  height: 6px;
  border-radius: 3px;
  background-color: var(--LGTcolor-ink);
  color: var(--LGTcolor-ink);
  animation: LGTdotFlashing .4s infinite linear alternate;
  animation-delay: .2s;
}

.LGTdot-flashing::before, .LGTdot-flashing::after {
  content: '';
  display: inline-block;
  position: absolute;
  top: 0;
}

.LGTdot-flashing::before {
  left: -10px;
  width: 6px;
  height: 6px;
  border-radius: 3px;
  background-color: var(--LGTcolor-ink);
  color: var(--LGTcolor-ink);
  animation: LGTdotFlashing .4s infinite alternate;
  animation-delay: 0s;
}

.LGTdot-flashing::after {
  left: 10px;
  width: 6px;
  height: 6px;
  border-radius: 3px;
  background-color: var(--LGTcolor-ink);
  color: var(--LGTcolor-ink);
  animation: LGTdotFlashing .4s infinite alternate;
  animation-delay: .4s;
}

@keyframes LGTdotFlashing {
  0% {
    background-color: var(--LGTcolor-ink);
  }
  50%,
  100% {
    background-color: var(--LGTcolor-neutral);
  }
}